searchNodes=[{"doc":"Support for the HPACK header compression algorithm. This module provides support for the HPACK header compression algorithm used mainly in HTTP/2. Encoding and decoding contexts The HPACK algorithm requires both an encoding context on the encoder side a decoding context on the decoder side These contexts are semantically different but structurally the same. In HPACK they are implemented as HPACK tables . This library uses the name &quot;tables&quot; everywhere internally HPACK tables can be created through the new/1 function.","ref":"HPAX.html","title":"HPAX","type":"module"},{"doc":"Decodes a header block fragment (HBF) through a given table. If decoding is successful, this function returns a {:ok, headers, updated_table} tuple where headers is a list of decoded headers, and updated_table is the updated table. If there's an error in decoding, this function returns {:error, reason} . Examples decoding_context = HPAX . new ( 1000 ) hbf = get_hbf_from_somewhere ( ) HPAX . decode ( hbf , decoding_context ) #=&gt; {:ok, [{&quot;:method&quot;, &quot;GET&quot;}], decoding_context}","ref":"HPAX.html#decode/2","title":"HPAX.decode/2","type":"function"},{"doc":"Encodes a list of headers through the given table. Returns a two-element tuple where the first element is a binary representing the encoded headers and the second element is an updated table. Examples headers = [ { :store , &quot;:authority&quot; , &quot;https://example.com&quot; } ] encoding_context = HPAX . new ( 1000 ) HPAX . encode ( headers , encoding_context ) #=&gt; {iodata, updated_encoding_context}","ref":"HPAX.html#encode/2","title":"HPAX.encode/2","type":"function"},{"doc":"Create a new HPACK table that can be used as encoding or decoding context. See the &quot;Encoding and decoding contexts&quot; section in the module documentation. max_table_size is the maximum table size (in bytes) for the newly created table. Examples encoding_context = HPAX . new ( 4096 )","ref":"HPAX.html#new/1","title":"HPAX.new/1","type":"function"},{"doc":"Resizes the given table to the given size. Examples decoding_context = HPAX . new ( 4096 ) HPAX . resize ( decoding_context , 8192 )","ref":"HPAX.html#resize/2","title":"HPAX.resize/2","type":"function"},{"doc":"An HPACK header name.","ref":"HPAX.html#t:header_name/0","title":"HPAX.header_name/0","type":"type"},{"doc":"An HPACK header value.","ref":"HPAX.html#t:header_value/0","title":"HPAX.header_value/0","type":"type"}]